Gnome-panel error

I need whoevers help with this. Whenever I try to open synaptic, install a program in the terminal or use add remove programs i get this error: E: The package gnome-panel needs to be reinstalled, but I can't find an archive for it. Does anyone here know how to fix this? All help, even attempts, are appreciated.

sort by: active | newest | oldest
sardines454 (author) 10 years ago
Ubuntu 7.04 Feisty Fawn
sardines454 (author)  sardines45410 years ago
os i'm running
i got an error similar to that once, turns out it was a bad image and i had to redownload and reburn the cd. i learned to check the checksums on downloads after that. try this command: sudo apt-get --reinstall install gnome-panel gnome-applets if that doesnt fix it, then check the image file on the cd, and see if that works. otherwise, i have no idea.
sardines454 (author)  its a lion10 years ago
tried your command line and it just gave me the same error as above, could you explain your second solution more, i'm not quite sure I understand yet
i have no idea about the command, i just googled it and found that in the forums. if you are talking about checking the image, boot to the cd, and it will have something that says like check image integrity, or something. i forget exactly. i dont have a cd near me right now, or else i would check for you. if the image is bad, the only thing i know to do for that is download ubuntu again and get a good image, and then reinstall it. i managed to screw my install up last month by playing around with sudo too much. i have no idea what i did, so im waiting for the next release in october. i honestly have no idea what to do. im just taking guesses here. how long have you been using ubuntu? i just did a google for your exact error, and came across the post in the linux forum. like i said, i really dont know.
zachninme10 years ago
Are you using Ubuntu, or Debain? What version of Ubuntu/Debain?